## curlsftpsink curlsftpsink — sink that uploads data to a server using libcurl |

## Properties

gboolean | create-dirs | Read / Write

## Types and Values

struct | GstCurlSftpSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstCurlBaseSink
                            ╰── GstCurlSshSink
                                ╰── GstCurlSftpSink

## Description

This is a network sink that uses libcurl as a client to upload data to a SFTP (SSH File Transfer Protocol) server.

#### Example launch line

Upload a file to /home/john/sftp_tests/

    1
    2
    3
    4
    5
    6
    7
    gst-launch-1.0 filesrc location=/home/jdoe/some.file ! curlsftpsink  \
        file-name=some.file.backup  \
        user=john location=sftp://192.168.0.1/~/sftp_tests/  \
        ssh-auth-type=1 ssh-key-passphrase=blabla  \
        ssh-pub-keyfile=/home/jdoe/.ssh/id_rsa.pub  \
        ssh-priv-keyfile=/home/jdoe/.ssh/id_rsa  \
        create-dirs=TRUE

## Synopsis

### Element Information

plugin | curl
author | Sorin L. <sorin@axis.com>
class | Sink/Network

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### struct GstCurlSftpSink

    struct GstCurlSftpSink;

## Property Details

### The `“create-dirs”` property

      “create-dirs”              gboolean

Attempt to create missing directories.

Flags: Read / Write

Default value: FALSE